Bug 366221 - libfreebob can't attach to firewire
libfreebob can't attach to firewire
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libfreebob (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 17:57 EST by Yuriy Skvortsov
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yuriy Skvortsov 2007-11-04 17:57:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; ru; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
I can't start jackd using a freebob driver. When I type

>$ jackd -d freebob

or

>$ jackd -d freebob -d hw:0,0

I get the output:

>--///blah-blah-blah////--
>Ieee1394Service::initialize: Could not get 1394 handle: Invalid argument
>Is ieee1394 and raw1394 driver loaded?
>--///blah-blah-blah////--

nevertheless, i have installed needed libraries, such as libraw1394,libiec61883 and others. The FireWire device is attached to system:

># dmesg
>--///blah-blah-blah////--
>firewire_core: phy config: card 0, new root=ffc1, gap_count=5
>firewire_core: phy config: card 0, new root=ffc1, gap_count=5
>firewire_core: created new fw device fw1 (1 config rom retries, S400)

and using the plugreport tool from libiec61883-utils I although have

># plugreport
>Host Adapter 0
>==============
>
>Node 0 GUID 0x000aac0700403f48
>------------------------------
>oMPR n_plugs=2, data_rate=2, bcast_channel=63
>oPCR[0] online=1, bcast_connection=0, n_p2p_connections=0
>        channel=0, data_rate=0, overhead_id=0, payload=130
>oPCR[1] online=1, bcast_connection=0, n_p2p_connections=0
>        channel=0, data_rate=0, overhead_id=0, payload=130
>iMPR n_plugs=2, data_rate=2
>iPCR[0] online=1, bcast_connection=0, n_p2p_connections=0
>        channel=0
>iPCR[1] online=1, bcast_connection=0, n_p2p_connections=0
>        channel=0
>
>Node 1 GUID 0x0011d80000108f06
>------------------------------
>libiec61883 error: error reading oMPR
>libiec61883 error: error reading iMPR

When I wrote about this bug to freebob developers, I've got answer:

>Fedora 7 uses an experimental set of firewire kernel modules, resulting
>in the fact that it is incompatible with freebob/ffado. You will have to
>figure out how to get FC7 to use the normal firewire stack. However,
>that I can't help you with.
>
>Greets,
>
>Pieter Palmers

Version-Release number of selected component (if applicable):
libfreebob-1.0.3-1.fc7

How reproducible:
Always


Steps to Reproduce:
Installation:
1.yum install libfreebob
2.yum install jack-audio-connection-kit
Using:
3.Connect a FW sound card (TERRATEC PHASE 24 FW)
4.jackd -d freebob

Actual Results:
jackd 0.103.0
Copyright 2001-2005 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support.
loading driver ..
Freebob using Firewire port 0, node -1
Ieee1394Service::initialize: Could not get 1394 handle: Invalid argument
Is ieee1394 and raw1394 driver loaded?
Fatal (devicemanager.cpp)[68] initialize: Could not initialize Ieee1349Service object
Fatal (freebob.cpp)[69] freebob_new_handle: Could not initialize device manager
LibFreeBoB ERR: cannot create libfreebob handle
FreeBoB ERR: FREEBOB: Error creating virtual device
cannot load driver module freebob
no message buffer overruns

Expected Results:
get jack running

Additional info:
# dmesg
---------------
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: created new fw device fw1 (1 config rom retries, S400)

# plugreport
Host Adapter 0
==============

Node 0 GUID 0x000aac0700403f48
------------------------------
oMPR n_plugs=2, data_rate=2, bcast_channel=63
oPCR[0] online=1, bcast_connection=0, n_p2p_connections=0
        channel=0, data_rate=0, overhead_id=0, payload=130
oPCR[1] online=1, bcast_connection=0, n_p2p_connections=0
        channel=0, data_rate=0, overhead_id=0, payload=130
iMPR n_plugs=2, data_rate=2
iPCR[0] online=1, bcast_connection=0, n_p2p_connections=0
        channel=0
iPCR[1] online=1, bcast_connection=0, n_p2p_connections=0
        channel=0

Node 1 GUID 0x0011d80000108f06
------------------------------
libiec61883 error: error reading oMPR
libiec61883 error: error reading iMPR

$ jackd -d freebob
jackd 0.103.0
Copyright 2001-2005 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support.
loading driver ..
Freebob using Firewire port 0, node -1
Ieee1394Service::initialize: Could not get 1394 handle: Invalid argument
Is ieee1394 and raw1394 driver loaded?
Fatal (devicemanager.cpp)[68] initialize: Could not initialize Ieee1349Service object
Fatal (freebob.cpp)[69] freebob_new_handle: Could not initialize device manager
LibFreeBoB ERR: cannot create libfreebob handle
FreeBoB ERR: FREEBOB: Error creating virtual device
cannot load driver module freebob
no message buffer overruns

$ jackd -d freebob -d hw:0,0
jackd 0.103.0
Copyright 2001-2005 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support.
loading driver ..
Freebob using Firewire port 0, node 0
Ieee1394Service::initialize: Could not get 1394 handle: Invalid argument
Is ieee1394 and raw1394 driver loaded?
Fatal (devicemanager.cpp)[68] initialize: Could not initialize Ieee1349Service object
Fatal (freebob.cpp)[69] freebob_new_handle: Could not initialize device manager
LibFreeBoB ERR: cannot create libfreebob handle
FreeBoB ERR: FREEBOB: Error creating virtual device
cannot load driver module freebob
no message buffer overruns
Comment 1 Yuriy Skvortsov 2007-11-07 11:02:04 EST
Although I tried to use a core, built with old stack, but in this case even a
plugreport doesn't see a device.
I'll be glad to do anything I can to help you fix this. Anyway, it will be great
to try if there is any fast and dirty way to launch my sound)
Comment 2 Stefan Richter 2007-11-08 17:16:46 EST
The wiki page http://wiki.linux1394.org/JujuMigration has some information on
what has to be changed and what will stop to work when someone switches from
ieee1394 to the new firewire drivers.  As you can guess from the info there, you
have to reinstall libraw1394 (and perhaps libdc1394, I'm not sure) from upstream
sources if you install an own kernel with the old ieee1394 drivers.  Libraw1394
as shipped in Fedora only works with the new firewire drivers.
Comment 3 Bug Zapper 2008-05-14 10:59:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:48:47 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.